%global momorel 2

Summary: Graphical music notation program
Name: denemo
Version: 0.8.18
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Applications/Multimedia
Source0: ftp://ftp.gnu.org/gnu/denemo/denemo-%{version}.tar.gz
NoSource: 0

URL: http://www.denemo.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: portaudio-devel aubio-devel gtk2-devel guile-devel
BuildRequires: gettext libxml2-devel fftw-devel desktop-file-utils
BuildRequires: libtool-ltdl-devel jack-devel
BuildRequires: fontpackages-devel lash-devel libsamplerate-devel
BuildRequires: gtksourceview2-devel fluidsynth-devel
BuildRequires: chrpath

Requires: bug-buddy TiMidity++
Requires: denemo-music-fonts

%package music-fonts
Summary:	Music notation fonts used in Denemo
Group:		Applications/Multimedia
License:	OFL
BuildArch:	noarch
Requires:	fontpackages-filesystem

%description
Denemo is a graphical music notation program written in C with
gtk+. As of April 2000, it is an official part of the GNU project
(http://www.gnu.org/)

It is intended to be used in conjunction with GNU Lilypond
(http://www.cs.uu.nl/hanwen/lilypond/), but is adaptable to other
computer-music-related purposes as well. 

%description music-fonts
This font set witten by Robert Allgeyer is the 2001 legacy version
of MusiSync. It is a musical notations font set which was reordered 
by Richard Shann for Denemo. 

This font set is used by Denemo.

%prep
%setup -q

%build
%{configure} \
    --disable-static \
    --enable-jack \
    --enable-lash \
    --enable-doc
%{make}
chrpath -d src/denemo
chrpath -d libsmf/smfsh

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}
desktop-file-install --vendor="" \
	--dir=%{buildroot}/%{_datadir}/applications \
	--add-category=X-Notation \
	%{buildroot}/%{_datadir}/applications/denemo.desktop
%find_lang %{name}
install -m 0755 -d %{buildroot}%{_fontdir}
rm -f %{buildroot}/%{_bindir}/denemo-lilypond.bat

# move the location of the music font
mv fonts/LICENSE_OFL.txt LICENSE_OFL.txt
install -m 0644 -p fonts/*.ttf %{buildroot}%{_fontdir}
rm -rf %{buildroot}/%{_datadir}/fonts/truetype
rm -rf %{buildroot}/%{_includedir}

%clean
rm -rf --preserve-root %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %{_sysconfdir}/denemo
%config(noreplace) %{_sysconfdir}/denemo/denemo.conf
%{_datadir}/denemo/
%{_datadir}/pixmaps/denemo.png
%{_datadir}/applications/denemo.desktop
%{_bindir}/denemo
%{_bindir}/smfsh

%_font_pkg -n music *.ttf
%doc LICENSE_OFL.txt

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.18-2m)
- full rebuild for mo7 release

* Fri Aug  6 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.18-1m)
- update to 0.8.18

* Mon Jun 14 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.16-1m)
- update to 0.8.16

* Mon Jan 25 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.12-1m)
- import from Fedora and update to 0.8.12

* Wed Sep 23 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.8.4-3
- Update desktop file according to F-12 FedoraStudio feature

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 30 2009 Roy Rankin <rrankin@ihug.com.au> - 0.8.4-1
-Update for Denemo release 0.8.4 
  fix fedora bugzilla 499692
  new features
	custom prolog
	tagged directives
	print preview pane
	genereal edit object action
	background printing

* Fri Feb 27 2009 Roy Rankin <rrankin@ihug.com.au> - 0.8.2-3
- font subpackage needs same version as main package, use noarch
 
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 03 2009 Roy Rankin <rrankin@ihug.com.au> - 0.8.2-1
-Update for Denemo release 0.8.2
	improve MIDI input
	more scripting support
	better menu organization
-Spec file fix unowned directories (Bugzilla 483337)

* Sat Jan 10 2009 Roy Rankin <rrankin@ihug.com.au> - 0.8.0-2
-Font split into seperate RPM package (Bugzilla 477375)

* Sun Nov 30 2008 Roy Rankin <rrankin@ihug.com.au> - 0.8.0-1
-Update for Denemo release 0.8.0

* Wed Sep 03 2008 Roy Rankin <rrankin@ihug.com.au> - 0.7.9-5
-Add Patches assert undo crash, un-needed messages on start up
* Mon Aug 18 2008 Roy Rankin <rrankin@ihug.com.au> 0.7.9-4
-Simplify Requires
* Sat Aug 16 2008 Roy Rankin <rrankin@ihug.com.au> 0.7.9-3
-Remove defines and fixup BuildRoot path
* Sun Aug  3 2008 Roy Rankin <rrankin@ihug.com.au> 0.7.9-2
-Additional BuildRequires from Mock testing, 
 fixed desktop-file-install usage
* Fri Jul 25 2008 Roy Rankin <rrankin@ihug.com.au> 0.7.9-1
-Update for 0.7.9 and Fedora 8
* Fri Dec 14 2001 Adam Tee <ajtee@ajtee.uklinux.net>
-Update for 0.5.8
* Sun Nov 12 2000 Matt Hiller <mhiller@pacbell.net>
- Update for 0.5.5
* Wed Jun 21 2000 Sourav K. Mandal <smandal@mit.edu>
- Initial release of RPM package
